OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMSmoothMesh Class Reference

`#include <SmoothMesh.h>`

Inheritance diagram for OMSmoothMesh:

## Public Member Functions
| MDS_SHAREDPTR (OMSmoothMesh)
| OMSmoothMesh (const std::string &sDescription)
virtual | ~OMSmoothMesh ()

## Protected Member Functions
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)

## Protected Attributes
std::string | m_continuity
std::string | m_smooth
std::string | m_method
int | m_iterations
double | m_alpha
double | m_gauss

## Detailed Description

Module smooths input model and writes it into output channel There is 2 options of smoothing - Laplace and Jacobi Laplace smoothing

## Constructor & Destructor Documentation

OMSmoothMesh::OMSmoothMesh | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

OMSmoothMesh::~OMSmoothMesh | ( |  | ) |
| virtual

Virtual destructor

## Member Function Documentation

bool OMSmoothMesh::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

OMSmoothMesh::MDS_SHAREDPTR | ( | OMSmoothMesh |  | ) |

Smart pointer type

void OMSmoothMesh::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

bool OMSmoothMesh::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

void OMSmoothMesh::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

## Member Data Documentation

double OMSmoothMesh::m_alpha
| protected

std::string OMSmoothMesh::m_continuity
| protected

Continuity setting

double OMSmoothMesh::m_gauss
| protected

int OMSmoothMesh::m_iterations
| protected

Number of iterations

std::string OMSmoothMesh::m_method
| protected

Smoothing method

std::string OMSmoothMesh::m_smooth
| protected

Smooth (tangential or normal)

The documentation for this class was generated from the following files:

- trunk/src/modules/SmoothMesh/SmoothMesh.h
- trunk/src/modules/SmoothMesh/SmoothMesh.cpp